require "spec_helper"

describe UserController, type: :routing do
  describe "routing" do

    it "routes root to #index" do
      get("/user").should route_to("user#index")
    end
    it "routes to #index" do
      get("/user/index").should route_to("user#index")
    end
    it "routes to #active_list" do
      get("/user/active_list").should route_to("user#active_list")
    end
    it "routes to #list_info" do
      get("/user/list_info").should route_to("user#list_info")
    end
    it "routes to #needs_help" do
      post("/user/needs_help").should route_to("user#needs_help")
    end

    it "routes to #list_needs_payment" do
      post("/user/list_needs_payment").should route_to("user#list_needs_payment")
    end

    it "routes to #create_list" do
      post("/user/create_list").should route_to("user#create_list")
    end
    it "routes to #list_products" do
      get("/user/list_products").should route_to("user#list_products")
    end
    it "routes to #list_products_for_table" do
      get("/user/list_products_for_table").should route_to("user#list_products_for_table")
    end
    it "routes to #list_history" do
      get("/user/list_history").should route_to("user#list_history")
    end
    it "routes to #history_list" do
      get("/user/history_list").should route_to("user#history_list")
    end
    it "routes to #order_selected_products" do
      post("/user/order_selected_products").should route_to("user#order_selected_products")
    end
    it "routes to #move_table" do
      post("/user/move_table").should route_to("user#move_table")
    end
    it "routes to #table_info" do
      get("/user/table_info").should route_to("user#table_info")
    end
    it "routes to #join_occupied_table" do
      post("/user/join_occupied_table").should route_to("user#request_to_join_occupied_table")
    end
    it "routes to #join_occupied_table" do
      post("/user/join_occupied_table").should route_to("user#request_to_join_occupied_table")
    end
    it "routes to #reject_join_request" do
      post("/user/reject_join_request").should route_to("user#reject_join_request")
    end
    it "routes to #approve_join_request" do
      post("/user/approve_join_request").should route_to("user#approve_join_request")
    end
    it "routes to #check_table_join_status" do
      post("/user/check_table_join_status").should route_to("user#check_table_join_status")
    end
    it "routes to #obtain_token" do
      get("/user/obtain_token").should route_to("user#obtain_token")
    end
  end
end
